<md-toolbar color="primary">
  <span>{{ title }}</span>
</md-toolbar>

<md-card class="main-content">
  <md-card-header>
    <md-card-title>
      <md-icon>directions_transit</md-icon>
      Recherchez un voyage
    </md-card-title>
  </md-card-header>

  <md-card-content>
    <md-input-container class="full-width">
      <input mdInput placeholder="Départ" [formControl]="departureControl" [mdAutocomplete]="auto">
    </md-input-container>

    <md-autocomplete #auto="mdAutocomplete" [displayWith]="displayStation">
      <md-option *ngFor="let option of departureCompletion" [value]="option">
        {{ option.name }}
      </md-option>
    </md-autocomplete>
  </md-card-content>

  <md-card-content>
    <md-input-container class="full-width">
      <input type="text" mdInput placeholder="Destination" [formControl]="destinationControl" [mdAutocomplete]="auto2">
    </md-input-container>

    <md-autocomplete #auto2="mdAutocomplete" [displayWith]="displayStation">
      <md-option *ngFor="let option of destinationCompletion" [value]="option">
        {{ option.name }}
      </md-option>
    </md-autocomplete>
  </md-card-content>

  <md2-datepicker class="full-width" #datetimepicker type="datetime" [(ngModel)]="date"></md2-datepicker>

  <md-card-actions>
    <button md-raised-button color="accent" (click)="recherche()">Recherche</button>
  </md-card-actions>
</md-card>

<app-journey *ngFor="let journey of journeys" [journey]="journey">
</app-journey>



